org.eclipse.emf.facet.util.emf.core.serialization.model.serialization

## Interface SerializationPackage

    public interface SerializationPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `SerializationFactory`
Generated:
Model:
  kind="package"

### Nested Class Summary

Nested Classes
`static interface` `SerializationPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

### Field Summary

Fields
`static SerializationPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `EXTENSIBLE_SERIALIZABLE_JAVA_OBJECT` The meta object id for the 'Extensible Serializable Java Object' data type.

### Method Summary

All Methods Instance Methods Abstract Methods
`EDataType` `getExtensibleSerializableJavaObject()` Returns the meta object for data type '`Extensible Serializable Java Object`'.
`SerializationFactory` `getSerializationFactory()` Returns the factory that creates the instances of the model.

### Field Detail

#### eNAME

    static final java.lang.String eNAME

The package name.

See Also:
  Constant Field Values
Generated:

#### eNS_URI

    static final java.lang.String eNS_URI

The package namespace URI.

See Also:
  Constant Field Values
Generated:

#### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

The package namespace name.

See Also:
  Constant Field Values
Generated:

#### eINSTANCE

    static final SerializationPackage eINSTANCE

The singleton instance of the package.

Generated:

#### EXTENSIBLE_SERIALIZABLE_JAVA_OBJECT

    static final int EXTENSIBLE_SERIALIZABLE_JAVA_OBJECT

The meta object id for the 'Extensible Serializable Java Object' data type.

See Also:
  `Object`, `org.eclipse.emf.facet.util.emf.core.serialization.model.serialization.impl.SerializationPackageImpl#getExtensibleSerializableJavaObject()`, Constant Field Values
Generated:

### Method Detail

#### getExtensibleSerializableJavaObject

    EDataType getExtensibleSerializableJavaObject()

Returns the meta object for data type '`Extensible Serializable Java Object`'.

Returns:
  the meta object for data type 'Extensible Serializable Java Object'.
See Also:
  `Object`
Generated:
Model:
  instanceClass="java.lang.Object"

#### getSerializationFactory

    SerializationFactory getSerializationFactory()

Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.
Generated: